Page MenuHomePhabricator

Removal of mo language codes
Open, Needs TriagePublic

Description

After recent ISO-639-1/2 changes (http://www.loc.gov/standards/iso639-2/php/code_list.php), 'mo' language code becomes deprecated, and Moldavian or Moldovan become alternate names for Romanian (ro).
Therefore, this code should be removed from Mediawiki files such as:

http://svn.wikimedia.org/viewvc/mediawiki/trunk/phase3/languages/Names.php?view=markup

This also affects Wikimedia resources such as mo.wikipedia.org, which uses a non-existing code and, IMHO, I think this has little sense to exist as official project in Wikimedia. Actually this has also received little activity for months.

In contrast to other languages such as Serbian, Romanian using Cyrillic script is not a contemplated option and only Latin script should prevail.
http://www.iana.org/assignments/language-subtag-registry
http://unicode.org/mail-arch/unicode-ml/y2005-m11/0341.html


Version: unspecified
Severity: normal

Details

Reference
bz16889
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:30 PM
bzimport set Reference to bz16889.
bzimport added a subscriber: Unknown Object (MLST).
Toniher created this task.Jan 5 2009, 12:22 PM

Changed Component to Site Rquests

As long as mo.wikipedia.org exists, this code is not going to be removed. If you are thinking of requesting that wiki to be closed, you should make such a request on meta.wikimedia.org. Until then, this request is INVALID here.

Thanks Siebrand, I see there is already a lot of buzz there.

MarcoAurelio reopened this task as Open.Dec 1 2017, 7:00 AM
MarcoAurelio raised the priority of this task from Medium to Needs Triage.
MarcoAurelio edited subscribers, added: MarcoAurelio; removed: wikibugs-l-list.

Reopening as per T169450. The mo.* sites are being redirected to ro.* so maybe we can do this now? Thanks.

mo is not listed in LanguageCode::$deprecatedLanguageCodeMapping for some reason. That setting is used in some places to automatically migrate deprecated codes to new ones.

Fomafix added a subscriber: Fomafix.EditedDec 12 2017, 9:42 PM

https://www.iana.org/assignments/language-subtag-registry/language-subtag-registry has for the deprecated language code mo the following entry:

Type: language
Subtag: mo
Description: Moldavian
Description: Moldovan
Added: 2005-10-16
Deprecated: 2008-11-22
Preferred-Value: ro
Suppress-Script: Latn

The Suppress-Script: Latn indicates that the language is normally in Latin script.

The messages in mo.json are all in Cyrillic script. I guess that the messages are Romanian/Moldavian/Moldovan (ro) but with Cyrillic script. Therefore the right language code should be ro-Cyrl or maybe ro-Cyrl-MD.

Adding T2209 as parent task because the current language code mo generates an HTML validation warning:

https://validator.w3.org/nu/?doc=https%3A%2F%2Fwww.mediawiki.org%2Fwiki%2FSpecial%3ASpecialPages%3Fuselang%3Dmo

Warning: Potentially bad value mo for attribute lang on element html: The language subtag mo is deprecated. Use ro instead.

Change 397999 had a related patch set uploaded (by Fomafix; owner: Fomafix):
[mediawiki/core@master] Rename deprecated language code 'mo' to 'ro-cyrl'

https://gerrit.wikimedia.org/r/397999

Should we wait for some days? It seems @Cybernenea11 does contributed in this month.

Yes, I was contributing and will continue to contribute to the Moldavian language till the very end despite having very little free time. Because my language is Moldavian Cyrillic and not Romanian Latin. Thank you very mutch and sorry my poor English, Peace.

https://www.iana.org/assignments/language-subtag-registry/language-subtag-registry defines

%%
Type: language
Subtag: mo
Description: Moldavian
Description: Moldovan
Added: 2005-10-16
Deprecated: 2008-11-22
Preferred-Value: ro
Suppress-Script: Latn
%%

and

%%
Type: language
Subtag: ro
Description: Romanian
Description: Moldavian
Description: Moldovan
Added: 2005-10-16
Suppress-Script: Latn
%%

This means that the language code ro stands for Romanian and for Moldavian.

Liuxinyu970226 added a subscriber: Strainu.EditedFeb 21 2018, 1:44 AM

@Cybernenea11 I think what fomafix is doing, is try to rename mo localisation to ro-cyrl, but not to simply call it as "Romanian (Cyrillic)", instead to keep naming Moldovan (Cyrillic).

Don't surprise, there's a precedent that about "nl-be": In theory it looks like "Belgian Dutch", but de facto it's called "Flemish/Vlaams" to make Original Dutch people not confused.

But I'm kindly not sure if @Strainu agrees such solution or not.

@Liuxinyu970226 Well, I understand that, but I think the Romanian community will be unhappy with that decision, because they can't accept the fact that there are people who still use script known as Moldavian Cyrillic. In this case the best solution is to keep Moldavian Cyrillic script separated by having "mo" language code. "mo" code was created for a reason and should not have been deprecated without a detailed study of the problem. 10 years ago, the ISO staff made a big mistake and created a situation where two communities cannot coexist on one language code.

Sorry my poor English. Love you all. Peace.

When the ISO staff made a mistake then it should be fixed there.

Is there a way to know if there are any active wikis using this translation? At the very least, can we check how many users currently use this interface language on any Wikimedia wiki? Without those datapoints, it's hard to see if the effort (and drama, TBH) associated with maintaining this translation is worth it.

@Fomafix Ten years ago, very few people in Moldova had the Internet and knew about Wikipedia, ISO and stuff like that. How this mistake can be fixed now?

Liuxinyu970226 added a subscriber: Baba_Tabita.EditedFeb 22 2018, 4:36 AM

Pinging @Baba_Tabita for answer of question that @Cybernenea11 asked above (because that "guy" suggested things about Sakizaya)

Gutza added a subscriber: Gutza.Feb 22 2018, 8:32 AM

@Liuxinyu970226 I don't know how to answer @Cybernenea11 's question. Sorry!

Liuxinyu970226 added a comment.EditedFeb 25 2018, 11:19 PM

Is there a way to know if there are any active wikis using this translation? At the very least, can we check how many users currently use this interface language on any Wikimedia wiki? Without those datapoints, it's hard to see if the effort (and drama, TBH) associated with maintaining this translation is worth it.

Looks like nothing, as I've checked https://wikiapiary.com/w/index.php?title=Category:Moldovan, it's empty now
Oh no, https://wikiapiary.com/wiki/Category:%D0%9C%D0%BE%D0%BB%D0%B4%D0%BE%D0%B2%D0%B5%D0%BD%D1%8F%D1%81%D0%BA%D1%8D says that Neciclopedia is using mo.

Change 397999 abandoned by Fomafix:
Rename deprecated language code 'mo' to 'ro-cyrl'

Reason:
The problem failed HTML validation because of the deprecated language code 'mo' in the HTML lang attribute is fixed thought https://gerrit.wikimedia.org/r/442200 by mapping 'mo' to 'ro-MD' in LanguageCode::bcp47( 'mo' ).

Adding the script subtag 'Cyrl' is tracked in https://gerrit.wikimedia.org/r/445887.

https://gerrit.wikimedia.org/r/397999

Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJul 20 2018, 10:00 AM